Bug 189743 - many Xlib and Xt man pages are broken (partial move from 3x to 3)
many Xlib and Xt man pages are broken (partial move from 3x to 3)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libX11 (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-24 04:45 EDT by Hubert Verstraete
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-19 07:03:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
symlinks for libX11-devel (36.21 KB, text/plain)
2006-04-28 06:55 EDT, Felix Bellaby
no flags Details

  None (edit)
Description Hubert Verstraete 2006-04-24 04:45:56 EDT
Description of problem:
Many man pages which are actually a reference to another main page, point to the
old location of the main page.
Example, the content of /usr/share/man/man3/XCreateSimpleWindow.3x.gz is:
.so man3x/XCreateWindow.3x

But both XCreateWindow.3x.gz and XCreateSimpleWindow.3x.gz are in man3 not man3x
(even if their extension is 3x.gz and not 3.gz)
I saw the same issue with the Xt library. There may be some other library man
pages with the same issue.

Version-Release number of selected component (if applicable):
libX11-devel-1.0.0-3

How reproducible:
every time

Steps to Reproduce:
1. man XCreateSimpleWindow
2.
3.
  
Actual results:
fopen: No such file or directory
Cannot open man page /usr/share/man/man3x/XCreateWindow.3x.gz
No manual entry for XCreateSimpleWindow

Expected results:
To see the man page for XCreateWindow and XCreateSimpleWindow
Comment 1 Felix Bellaby 2006-04-28 06:55:16 EDT
Created attachment 128355 [details]
symlinks for libX11-devel
Comment 2 James Hunt 2006-05-05 06:14:07 EDT
Same problem seen here. Simplest fix is:

ln -s /usr/share/man/man3 /usr/share/man/man3x
Comment 3 Mike A. Harris 2006-05-19 07:03:28 EDT
Thanks for the report.  This problem was present in the upstream X.Org
sources, and is resolved in the X.Org 7.1 related CVS branches now.  It
affects many library components.

We've got the release candidates of 7.1 in rawhide now which should
resolve all of these issues.  If any new problems are discovered while
using rawhide, please report them to X.Org directly to ensure they
get resolved in time for the 7.1 release, which is nearing completion.

Setting status to resolved in "RAWHIDE".

Note You need to log in before you can comment on or make changes to this bug.